Package ch.qos.logback.classic.db.names

# Class DefaultDBNameResolver

java.lang.Object
ch.qos.logback.classic.db.names.DefaultDBNameResolver

All Implemented Interfaces:
  `DBNameResolver`

public class DefaultDBNameResolver extends Object implements DBNameResolver
The default name resolver simply returns the enum passes as parameter as a lower case string.

Since:
  0.9.19
Author:
  Tomasz Nurkiewicz, Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`DefaultDBNameResolver()`

## Method Summary

Modifier and Type
Method
Description
`<N extends Enum<?>>
String`
`getColumnName(N columnName)`
`<N extends Enum<?>>
String`
`getTableName(N tableName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultDBNameResolver

public DefaultDBNameResolver()

## Method Details

### getTableName

public <N extends Enum<?>> String getTableName(N tableName)

Specified by:
  `getTableName` in interface `DBNameResolver`

### getColumnName

public <N extends Enum<?>> String getColumnName(N columnName)

Specified by:
  `getColumnName` in interface `DBNameResolver`